/**
 * 常规设置
 */
option.module.donwload = {};
/**
 * 浏览器启动时打开
 */
option.module.downloadinfo = {
	init:function (){
		this._code = [1000, 1001, 1002, 1003];
		this._value = [];
		for(var i = 0; i < this._code.length; i++){
			this._value[i] = 0;
		}
		this._value[3]=true;
	},
    recoverdefault:function () {
        for (var i = 0; i < this._code.length; i++) {
            
        }
    },
	render:function (target){
		this.el = $('<div class="item">' +
					'<div class="label">' + '应用存放目录' + 
					'</div>' +
					'<ul>' +
					 '<div class="item-wrap item-wrap-bkg-top"><li><label><div id="textdircache" class="item-li-t-dirpath">d:\\cloudcache</div>' +
					 '<a id="selectappcache" href="#" class="item-btn-com">选择目录</a>'+
					 '</label></li></div>' +
					 '<div class="item-wrap item-wrap-bkg-bottom"><li><label><div class="item-li-t-ex">当前目录剩余可用空间：</div><div id="textdisklefsize" class="item-li-t2-ex">123G</div>' +
					 '</label></li></div>' +
					 '</ul>' +
					'</div>'+
					
					'<div class="item">' +
					'<div class="label">' + '未完成任务提醒设置' + 
					'</div>' +
					'<ul>' +
					 '<div class="item-wrap item-wrap-bkg-top"><li><div id="downafterconn_auto" ></div><label><div class="item-li-t">连接手机后自动开始未完成的任务</div>' +
					 '</label></li></div>' +
				//	 '<a id="runafterdown" href="#"></a>'+
					 '<div class="item-wrap item-wrap-bkg-mid"><li><div id="downafterconn_tip" ></div><label><div class="item-li-t">连接手机后提示我有未完成的任务</div>' +
					 '</label></li></div>' +
					// '<a id="runafterdown" href="#"></a>'+
					 '<div class="item-wrap item-wrap-bkg-bottom"><li><div id="downafterconn_nothing" ></div ><label><div class="item-li-t">连接手机后不提示我有未完成任务</div>' +
					 '</label></li></div>' +					 					 
					 '</ul>' +
					'</div>').appendTo(target);

		//0, 提示 1, 不提示 2，自动		
		var downafterconn = option.getCfgValue("cfg_downafterconn");
		if(1 == downafterconn)
		{
			$("#downafterconn_auto").addClass("item-li-radio-btn-used");
			$("#downafterconn_tip").addClass("item-li-radio-btn-used");
			$("#downafterconn_nothing").addClass("item-li-radio-btn-useing");
		}
		else if (2 == downafterconn)
		{
			$("#downafterconn_auto").addClass("item-li-radio-btn-useing");
			$("#downafterconn_tip").addClass("item-li-radio-btn-used");
			$("#downafterconn_nothing").addClass("item-li-radio-btn-used");			
		}
		else {
			$("#downafterconn_auto").addClass("item-li-radio-btn-used");
			$("#downafterconn_tip").addClass("item-li-radio-btn-useing");
			$("#downafterconn_nothing").addClass("item-li-radio-btn-used");		
		}
		
		//alert(option.getCfgValue("cachedir"));
		$("#textdircache").html(option.getCfgValue("cfg_cachedir"));
		$("#textdisklefsize").html(option.getCfgValue("cfg_diskleftsize"));
		
		$("#selectappcache", this.el).click(proxy(this.setAppCache,this));
		
		$("#downafterconn_auto", this.el).bind("click", { id: "downafterconn_auto" }, this.downAfterConn);
		$("#downafterconn_tip", this.el).bind("click", { id: "downafterconn_tip" }, this.downAfterConn);
		$("#downafterconn_nothing", this.el).bind("click", { id: "downafterconn_nothing" }, this.downAfterConn);
		
	},
	setAppCache:function(){
		try {
			var cfgReturnTem = window.top.bfccfg.setAppPath();
			if (cfgReturnTem !== ""){
				eval("var cfgDataTem = {" + cfgReturnTem + "}");
				option.setCfgValue("cfg_cachedir", cfgDataTem["cfg_cachedir"]);
				option.setCfgValue("cfg_diskleftsize", cfgDataTem["cfg_diskleftsize"]);
				$("#textdircache").html(cfgDataTem["cfg_cachedir"]);
				$("#textdisklefsize").html(cfgDataTem["cfg_diskleftsize"]);
			}
			else{
				//alert("修改目录返回值为null");
			}
   		 }
   		 catch (e) {
        	alert(e.message);
    	}
	},
	runAfterDown:function(){
		if(option.getCfgValue("cfg_runafterdown")){	
			try{
				window.top.bfccfg.runAfterDown(false);
				option.setCfgValue("cfg_runafterdown", false);
				$("#runafterdown").removeClass("item-li-btn-useing");
				$("#runafterdown").addClass("item-li-btn-used");
			}
			catch(e){
				alert("runafterdown error");
			}
		}
		else {			
			try{
				window.top.bfccfg.runAfterDown(true);
				option.setCfgValue("cfg_runafterdown", true);
				$("#runafterdown").removeClass("item-li-btn-used");
				$("#runafterdown").addClass("item-li-btn-useing");
			}
			catch(e){
				alert("runafterdown error");
			}
		}
	},
	downAfterConn:function(val){
		
		var downafterconn;
		if("downafterconn_auto" == val.data.id)
		{
			downafterconn = 2;
		}
		else if ("downafterconn_tip" == val.data.id)
		{
			downafterconn = 0;
		}
		else if("downafterconn_nothing" ==  val.data.id)
		{
			downafterconn = 1;
		}
		else
		{
			return;
		}
	
		window.top.bfccfg.setDownAfterConn(downafterconn);
			
		option.setCfgValue("cfg_downafterconn", downafterconn);

			
		//0, 提示 1, 不提示 2，自动		
		//var downafterconn = option.getCfgValue("cfg_runafterdown");
		$("#downafterconn_auto").removeClass("item-li-radio-btn-used");
		$("#downafterconn_tip").removeClass("item-li-radio-btn-used");
		$("#downafterconn_nothing").removeClass("item-li-radio-btn-used");
		$("#downafterconn_auto").removeClass("item-li-radio-btn-useing");
		$("#downafterconn_tip").removeClass("item-li-radio-btn-useing");
		$("#downafterconn_nothing").removeClass("item-li-radio-btn-useing");
								
		if(1 == downafterconn)
		{
			$("#downafterconn_auto").addClass("item-li-radio-btn-used");
			$("#downafterconn_tip").addClass("item-li-radio-btn-used");
			$("#downafterconn_nothing").addClass("item-li-radio-btn-useing");
		}
		else if (2 == downafterconn)
		{
			$("#downafterconn_auto").addClass("item-li-radio-btn-useing");
			$("#downafterconn_tip").addClass("item-li-radio-btn-used");
			$("#downafterconn_nothing").addClass("item-li-radio-btn-used");			
		}
		else {
			$("#downafterconn_auto").addClass("item-li-radio-btn-used");
			$("#downafterconn_tip").addClass("item-li-radio-btn-useing");
			$("#downafterconn_nothing").addClass("item-li-radio-btn-used");		
		}			

	}
}

